Bug 562316 - [perl spec] PERL_INSTALL_ROOT breaks installs with latest EU::MM
[perl spec] PERL_INSTALL_ROOT breaks installs with latest EU::MM
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: rpmdevtools (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Ville Skyttä
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks: 557015
  Show dependency treegraph
 
Reported: 2010-02-05 17:13 EST by Chris Weyl
Modified: 2010-03-08 22:32 EST (History)
1 user (show)

See Also:
Fixed In Version: rpmdevtools-7.8-1.fc12
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-03-08 22:32:25 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
proposed template update (1.14 KB, patch)
2010-02-05 17:28 EST, Chris Weyl
no flags Details | Diff

  None (edit)
Description Chris Weyl 2010-02-05 17:13:05 EST
The %install commands are broken with new EU::MM; namely the PERL_INSTALL_ROOT
in the "make pure_install PERL_INSTALL_ROOT=..." line.

The suggested course of action by upstream is to replace "PERL_INSTALL_ROOT"
with "DESTDIR" in spec files; updating the template here would help :)
Comment 1 Chris Weyl 2010-02-05 17:28:11 EST
Created attachment 389211 [details]
proposed template update

Attached patch changes PERL_INSTALL_ROOT to destdir, and also changes the chmod incantation to use the %_fixperms macro instead.  (Which is unrelated, but I've been wanting to change that for a while. :) )
Comment 2 Ville Skyttä 2010-02-06 07:20:40 EST
Applied in git, thanks, leaving as ASSIGNED until there's a package build out with these changes.

http://git.fedoraproject.org/git/rpmdevtools.git/?p=rpmdevtools.git;a=commitdiff;h=c58d5bd7e0d219ecd107d7d29bf2968855a548a4
http://git.fedoraproject.org/git/rpmdevtools.git/?p=rpmdevtools.git;a=commitdiff;h=a00f5e3e80860d5d2bd8d5d05e6f2eb36298e60e

For the record, I did some history digging 4+ years ago and found that DESTDIR didn't work properly until ExtUtils::MakeMaker >= 6.10_08 / Perl 5.8.1, but that's no longer an issue.  It may affect EL < 4 but there's no such EPEL thing and EL >= 4 should be fine.

http://thread.gmane.org/gmane.linux.redhat.fedora.perl/274/focus=276

Also, for future contributions, please commit changes to your git tree and generate patches with git format-patch instead of doing git diff, e.g. "git format-patch origin/master", and do separate changes in separate commits and patches.  That makes it easier for people to apply your changes.
Comment 3 Chris Weyl 2010-02-06 12:53:37 EST
(In reply to comment #2)
> For the record, I did some history digging 4+ years ago and found that DESTDIR
> didn't work properly until ExtUtils::MakeMaker >= 6.10_08 / Perl 5.8.1, but
> that's no longer an issue.  It may affect EL < 4 but there's no such EPEL thing
> and EL >= 4 should be fine.

Thanks!  I was wondering what the history here was; PERL_INSTALL_ROOT usage is too widespread and consistent to just be a fluke.  This makes sense.

> Also, for future contributions, please commit changes to your git tree and
> generate patches with git format-patch instead of doing git diff, e.g. "git
> format-patch origin/master", and do separate changes in separate commits and
> patches.  That makes it easier for people to apply your changes.    

No problem.
Comment 4 FTBFS 2010-02-13 22:37:16 EST
FTBFS fixed in rpmdevtools-7.7-1.fc13.  Closing.
Comment 6 Fedora Update System 2010-02-15 17:31:17 EST
rpmdevtools-7.8-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/rpmdevtools-7.8-1.fc12
Comment 7 Fedora Update System 2010-02-15 17:39:17 EST
rpmdevtools-7.8-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/rpmdevtools-7.8-1.fc11
Comment 8 Fedora Update System 2010-02-18 17:23:08 EST
rpmdevtools-7.8-1.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update rpmdevtools'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2010-0003
Comment 9 Fedora Update System 2010-03-08 22:14:06 EST
rpmdevtools-7.8-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2010-03-08 22:32:13 EST
rpmdevtools-7.8-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.